import keggapi.*; 

class GetBestNeighborsByGene {        
	public static void main(String[] args) throws Exception {
		KEGGLocator    locator  = new KEGGLocator();                
		KEGGPortType   serv     = locator.getKEGGPort();                			String         query    = args[0];                
		SSDBRelation[] results  = null; 
		results = serv.get_best_neighbors_by_gene(query, 1, 50);
		for (int i = 0; i < results.length; i++) {
			String gene1  = results[i].getGenes_id1();
			String gene2  = results[i].getGenes_id2();
			int    score  = results[i].getSw_score();
			System.out.println(gene1 + "\t" + gene2 + "\t" + score);
		}
	}
}